Bug 210609 - update graphics/imlib2 to 1.4.9
Summary: update graphics/imlib2 to 1.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks: 210610
  Show dependency treegraph
 
Reported: 2016-06-27 03:12 UTC by Walter Schwarzenfeld
Modified: 2016-06-30 20:39 UTC (History)
3 users (show)

See Also:
zeising: maintainer-feedback+


Attachments
svn-diff_graphics_imlib2 (1.25 KB, patch)
2016-06-27 03:12 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff_graphics_imlib2_new (2.61 KB, patch)
2016-06-27 23:06 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff_graphics_imlib2 (1.53 KB, patch)
2016-06-28 16:03 UTC, Walter Schwarzenfeld
no flags Details | Diff
Extended patch (3.68 KB, patch)
2016-06-29 19:47 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2016-06-27 03:12:25 UTC
Created attachment 171849 [details]
svn-diff_graphics_imlib2
Comment 1 Walter Schwarzenfeld freebsd_triage 2016-06-27 03:42:46 UTC
ChangeLog:
***
*** Version 1.4.9 ***
***

Alexander Smirnov (1):
      Fix cross-endianness for masks (1-bit depth images)

Bernhard Übelacker (1):
      gif: fix oob reads w/bad colormaps

Kim Woelders (16):
      Fix "assuming signed overflow does not occur" warning.
      Fix some "variable set but not used" warnings.
      Fix some "variable might be clobbered" warnings.
      Fix off-by-one OOB read in __imlib_MergeUpdate().
      Revert "gif: fix oob reads w/bad colormaps"
      GIF loader: Fix out-of-bound reads from colormap.
      GIF loader: Remove check made redundant by previous commit.
      GIF loader: Reduce progress checks from per-pixel to per-row.
      GIF loader: Indent.
      Fix potential divide-by-zero in imlib_image_draw_ellipse().

Alexander Smirnov (1):
      Fix cross-endianness for masks (1-bit depth images)

Bernhard Übelacker (1):
      gif: fix oob reads w/bad colormaps

Kim Woelders (16):
      Fix "assuming signed overflow does not occur" warning.
      Fix some "variable set but not used" warnings.
      Fix some "variable might be clobbered" warnings.
      Fix off-by-one OOB read in __imlib_MergeUpdate().
      Revert "gif: fix oob reads w/bad colormaps"
      GIF loader: Fix out-of-bound reads from colormap.
      GIF loader: Remove check made redundant by previous commit.
      GIF loader: Reduce progress checks from per-pixel to per-row.
      GIF loader: Indent.
      Fix potential divide-by-zero in imlib_image_draw_ellipse().
      Make a number of functions static.
      Eliminate pImlibExternalFilter type.
      Trivial file function cleanups.
      Move __imlib_ItemInList() to file.c.
:
portlint OK

PORTEPOCH=2 cause of portlint (FATAL: Makefile: imlib2-1.4.9 < imlib2-1.4.7,2. Choose another PORTVERSION or bump PORTEPOCH.)

poudriere builds 103amd64, 93amd64, 103i386 and 93i386 OK.
Comment 2 Walter Schwarzenfeld freebsd_triage 2016-06-27 03:44:42 UTC
Maintainer maybe resetted, see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210474.
Comment 3 Kurt Jaeger freebsd_committer 2016-06-27 17:55:39 UTC
portlint, testbuilds are OK
Comment 4 Dmitry Marakasov freebsd_committer 2016-06-27 18:33:02 UTC
Extra comment line is not needed.
Comment 5 Rene Ladan freebsd_committer 2016-06-27 21:32:15 UTC
Maintainer reset.
Comment 6 Walter Schwarzenfeld freebsd_triage 2016-06-27 23:06:35 UTC
Created attachment 171895 [details]
svn-diff_graphics_imlib2_new

Correct comment-line and maintainer.
Comment 7 Dmitry Marakasov freebsd_committer 2016-06-28 15:38:59 UTC
You've removed PORTNAME and all conditionals in pkg-plist, this needs to be fixed.
Comment 8 Walter Schwarzenfeld freebsd_triage 2016-06-28 16:03:42 UTC
Created attachment 171917 [details]
svn-diff_graphics_imlib2
Comment 9 Walter Schwarzenfeld freebsd_triage 2016-06-28 19:57:53 UTC
The port has a new maintainer zeising@FreeBSD.org-
Comment 10 Dmitry Marakasov freebsd_committer 2016-06-29 19:47:06 UTC
Created attachment 171954 [details]
Extended patch

I propose this update.

- Add missing file to plist
- Switch to options helpers
- Style fixes
Comment 11 Niclas Zeising freebsd_committer 2016-06-29 20:10:51 UTC
Thanks for the patch!
I'll look into it tomorrow, from a cursory glance everything looks good.
Comment 12 commit-hook freebsd_committer 2016-06-30 20:37:31 UTC
A commit references this bug:

Author: zeising
Date: Thu Jun 30 20:36:46 UTC 2016
New revision: 417840
URL: https://svnweb.freebsd.org/changeset/ports/417840

Log:
  Update to 1.4.9

  Switch to options helpers.
  Use install-strip instead of hand-rolling.

  PR:		210609
  Submitted by:	Dmitry Marakasov (amdmi3)
  Reported by:	w.schwarzenfeld@utanet.at

Changes:
  head/graphics/imlib2/Makefile
  head/graphics/imlib2/distinfo
  head/graphics/imlib2/pkg-plist
Comment 13 Niclas Zeising freebsd_committer 2016-06-30 20:39:21 UTC
Committed.  Thanks for all patches!